'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/question/';
  const target = 'investigation';
  router.post(target, `${profix}${target}/export`, controller[target].export);
  router.resources(target, `${profix}${target}`, controller[target]); // index、create、show、destroy
  router.post(target, `${profix}${target}/update/:id`, controller[target].update);
};
